Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch
Class AmazonCloudWatchAsyncClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient
          com.amazonaws.services.cloudwatch.AmazonCloudWatchClient
              com.amazonaws.services.cloudwatch.AmazonCloudWatchAsyncClient

All Implemented Interfaces:
  AmazonCloudWatch, AmazonCloudWatchAsync

    public class AmazonCloudWatchAsyncClient

extends AmazonCloudWatchClient
implements AmazonCloudWatchAsync

Client for accessing AmazonCloudWatch. All calls made using this client are non-blocking and will immediately return a Java Future. Callers must use the Future object to determine when the service call has actually completed.

Constructor Summary
`AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials)` Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials.
`AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials, executor service, and client configuration options.
`AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials and executor service.

Method Summary
`ExecutorService` | `getExecutorService()` Returns the executor service used by this async client to execute requests.
`Future<GetMetricStatisticsResult>` | `getMetricStatisticsAsync(GetMetricStatisticsRequest getMetricStatisticsRequest)`
`Future<ListMetricsResult>` | `listMetricsAsync(ListMetricsRequest listMetricsRequest)`

Methods inherited from class com.amazonaws.services.cloudwatch.AmazonCloudWatchClient
`getMetricStatistics, listMetrics, listMetrics`

Methods inherited from class com.amazonaws.AmazonWebServiceClient
`setEndpoint, shutdown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.amazonaws.services.cloudwatch.AmazonCloudWatch
`getMetricStatistics, listMetrics, listMetrics, setEndpoint, shutdown`

Constructor Detail

### AmazonCloudWatchAsyncClient

    public AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials)

  Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials. Default client settings will be used, and a default cached thread pool will be created for executing the asynchronous tasks.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.

### AmazonCloudWatchAsyncClient

    public AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials,
                                       ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials and executor service. Default client settings will be used.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `executorService` - The executor service by which all asynchronous requests will be executed.

### AmazonCloudWatchAsyncClient

    public AmazonCloudWatchAsyncClient(AWSCredentials awsCredentials,
                                       ClientConfiguration clientConfiguration,
                                       ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonCloudWatch using the specified AWS account credentials, executor service, and client configuration options.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
    `executorService` - The executor service by which all asynchronous requests will be executed.

Method Detail

### getExecutorService

    public ExecutorService getExecutorService()

  Returns the executor service used by this async client to execute requests.

  Returns:
    The executor service used by this async client to execute requests.

### listMetricsAsync

    public Future<ListMetricsResult> listMetricsAsync(ListMetricsRequest listMetricsRequest)
                                               throws AmazonServiceException,
                                                      AmazonClientException

  Specified by:
    `listMetricsAsync` in interface `AmazonCloudWatchAsync`
  Parameters:
    `listMetricsRequest` - Container for the necessary parameters to execute the ListMetrics operation on AmazonCloudWatch.
  Returns:
    A Java Future object containing the response from the ListMetrics service method, as returned by AmazonCloudWatch.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

### getMetricStatisticsAsync

    public Future<GetMetricStatisticsResult> getMetricStatisticsAsync(GetMetricStatisticsRequest getMetricStatisticsRequest)
                                                               throws AmazonServiceException,
                                                                      AmazonClientException

  Specified by:
    `getMetricStatisticsAsync` in interface `AmazonCloudWatchAsync`
  Parameters:
    `getMetricStatisticsRequest` - Container for the necessary parameters to execute the GetMetricStatistics operation on AmazonCloudWatch.
  Returns:
    A Java Future object containing the response from the GetMetricStatistics service method, as returned by AmazonCloudWatch.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.